## audacious 4.4.2

=== win32/Makefile ===
LIB_PREFIX = /C/libs

gtk+-2.24.33.tar.xz:
	wget https://ftp.gnome.org/pub/GNOME/sources/gtk+/2.24/gtk+-2.24.33.tar.xz

gtk: gtk+-2.24.33.tar.xz
	tar xf gtk+-2.24.33.tar.xz
	cd gtk+-2.24.33 && patch gdk/win32/gdkwindow-win32.c ../patches/gdkwindow-win32.c.diff
	cd gtk+-2.24.33 && sed -i '/GDK_DISABLE_DEPRECATED/d' modules/engines/ms-windows/Makefile.in
	cd gtk+-2.24.33 && CFLAGS="-O2 -fcommon -Wno-error=implicit-int -Wno-error=incompatible-pointer-types" ./configure --prefix=$(LIB_PREFIX)
	cd gtk+-2.24.33 && $(MAKE) && $(MAKE) install

ffmpeg-6.1.1.tar.xz:
	wget https://ffmpeg.org/releases/ffmpeg-6.1.1.tar.xz

ffmpeg: ffmpeg-6.1.1.tar.xz
	tar xf ffmpeg-6.1.1.tar.xz
	cd ffmpeg-6.1.1 && ./configure --prefix=$(LIB_PREFIX) --enable-shared --cpu=x86-64 --disable-vulkan --disable-x86asm
	cd ffmpeg-6.1.1 && $(MAKE) && $(MAKE) install

libmms-0.6.4.tar.gz:
	wget https://sourceforge.net/projects/libmms/files/libmms/0.6.4/libmms-0.6.4.tar.gz

libmms: libmms-0.6.4.tar.gz
	tar xf libmms-0.6.4.tar.gz
	cd libmms-0.6.4 && patch -p1 < ../patches/libmms-strndup.diff
	cd libmms-0.6.4 && cp /usr/share/libtool/build-aux/ltmain.sh .
	cd libmms-0.6.4 && autoreconf
	cd libmms-0.6.4 && ./configure --prefix=$(LIB_PREFIX)
	cd libmms-0.6.4 && $(MAKE) && $(MAKE) install

libbinio-1.5.tar.bz2:
	wget https://github.com/adplug/libbinio/releases/download/libbinio-1.5/libbinio-1.5.tar.bz2

libbinio: libbinio-1.5.tar.bz2
	tar xf libbinio-1.5.tar.bz2
	cd libbinio-1.5 && ./configure --prefix=$(LIB_PREFIX)
	cd libbinio-1.5 && $(MAKE) && $(MAKE) install

adplug-2.3.3.tar.bz2:
	wget https://github.com/adplug/adplug/releases/download/adplug-2.3.3/adplug-2.3.3.tar.bz2

adplug: adplug-2.3.3.tar.bz2
	tar xf adplug-2.3.3.tar.bz2
	cd adplug-2.3.3 && ./configure --prefix=$(LIB_PREFIX)
	cd adplug-2.3.3 && $(MAKE) && $(MAKE) install

libsidplayfp-2.6.0.tar.gz:
	wget https://sourceforge.net/projects/sidplay-residfp/files/libsidplayfp/2.6/libsidplayfp-2.6.0.tar.gz

libsidplayfp: libsidplayfp-2.6.0.tar.gz
	tar xf libsidplayfp-2.6.0.tar.gz
	cd libsidplayfp-2.6.0 && ./configure --prefix=$(LIB_PREFIX)
	cd libsidplayfp-2.6.0 && $(MAKE) && $(MAKE) install

=== src/libaudcore/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 5
LIB_MINOR = 5
LIB_PATCH = 0

SRCS = adder.cc \
       archive_reader.cc \
       art.cc \
       art-search.cc \
       audio.cc \
       audstrings.cc \
       charset.cc \
       config.cc \
       cue-cache.cc \
       drct.cc \
       effect.cc \
       equalizer.cc \
       equalizer-preset.cc \
       eventqueue.cc \
       fft.cc \
       history.cc \
       hook.cc \
       index.cc \
       inifile.cc \
       interface.cc \
       list.cc \
       logger.cc \
       mainloop.cc \
       multihash.cc \
       output.cc \
       parse.cc \
       playback.cc \
       playlist.cc \
       playlist-cache.cc \
       playlist-data.cc \
       playlist-files.cc \
       playlist-utils.cc \
       plugin-init.cc \
       plugin-load.cc \
       plugin-registry.cc \
       preferences.cc \
       probe.cc \
       probe-buffer.cc \
       ringbuf.cc \
       runtime.cc \
       scanner.cc \
       stringbuf.cc \
       strpool.cc \
       tinylock.cc \
       threads.cc \
       timer.cc \
       tuple.cc \
       tuple-compiler.cc \
       util.cc \
       vfs.cc \
       vfs_async.cc \
       vfs_local.cc \
       vis-runner.cc \
       visualization.cc

INCLUDES = archive_reader.h \
           audio.h \
           audstrings.h \
           drct.h \
           equalizer.h \
           export.h \
           hook.h \
           i18n.h \
           index.h \
           inifile.h \
           interface.h \
           list.h \
           mainloop.h \
           multihash.h \
           objects.h \
           playlist.h \
           plugin.h \
           plugins.h \
           preferences.h \
           probe.h \
           ringbuf.h \
           runtime.h \
           templates.h \
           tinylock.h \
           threads.h \
           tuple.h \
           visualizer.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GMODULE_CFLAGS} \
            ${QTCORE_CFLAGS} \
            ${LIBARCHIVE_CFLAGS} \
            -DINSTALL_BINDIR=\"${bindir}\" \
            -DINSTALL_DATADIR=\"${datadir}/audacious\" \
            -DINSTALL_PLUGINDIR=\"${plugindir}\" \
            -DINSTALL_LOCALEDIR=\"${localedir}\" \
            -DINSTALL_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
            -DINSTALL_ICONFILE=\"${datarootdir}/icons/hicolor/48x48/apps/audacious.png\" \
            -DLIBAUDCORE_BUILD

CFLAGS += ${LIB_CFLAGS}

LIBS := ../libguess/libguess.a \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GMODULE_LIBS} \
        ${QTCORE_LIBS} \
        ${LIBARCHIVE_LIBS}

=== src/libaudgui/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
LIB_MAJOR = 6
LIB_MINOR = 0
LIB_PATCH = 0

SRCS = about.cc \
       confirm.cc \
       eq-preset.cc \
       equalizer.cc \
       file-opener.cc \
       gtk-compat.cc \
       images.c \
       infopopup.cc \
       infowin.cc \
       init.cc \
       jump-to-time.cc \
       jump-to-track.cc \
       jump-to-track-cache.cc \
       list.cc \
       menu.cc \
       pixbufs.cc \
       playlists.cc \
       plugin-menu.cc \
       plugin-prefs.cc \
       plugin-view.cc \
       prefs-widget.cc \
       prefs-window.cc \
       preset-browser.cc \
       queue-manager.cc \
       scaled-image.cc \
       status.cc \
       urilist.cc \
       url-opener.cc \
       util.cc

INCLUDES = gtk-compat.h \
           libaudgui.h \
           libaudgui-gtk.h \
           list.h \
           menu.h

CLEAN = images.c images.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudgui

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GTK_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIB_LDFLAGS := -L../libaudcore $(LIB_LDFLAGS)

LIBS := -laudcore \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GTK_LIBS}

pre-depend: images.c images.h

images.h: images.gresource.xml
	glib-compile-resources --sourcedir=../../images --generate-header --target=images.h images.gresource.xml
images.c: images.gresource.xml
	glib-compile-resources --sourcedir=../../images --generate-source --target=images.c images.gresource.xml

=== src/libaudtag/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 3
LIB_MINOR = 0
LIB_PATCH = 0

SRCS = audtag.cc		\
       util.cc		\
       tag_module.cc	\
       id3/id3-common.cc \
       id3/id3v1.cc	\
       id3/id3v22.cc	\
       id3/id3v24.cc	\
       ape/ape.cc

INCLUDES = audtag.h

include ../../buildsys.mk
include ../../extra.mk

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIB_LDFLAGS := -L../libaudcore $(LIB_LDFLAGS)

LIBS := -laudcore \
        ${LIBS} \
        ${GLIB_LIBS}

=== debian/changelog ===
audacious (4.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Revert Remove COPYING file from install. Add override for
    extra-license-file.
  * Welcome 2025 in d/copyright.
  * Add override for appstream-metadata-validation-failed.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 09 Jan 2025 21:26:38 +0100

audacious (4.4-2) unstable; urgency=medium

  * Update symbols from buildlogs.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 20 Sep 2024 20:25:10 +0200

audacious (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add qt6-svg-dev to B-D. (Closes: #1060436)
  * Bump libraries sonames.
  * Update d/copyright.
  * Remove COPYING file from install.
  * Bump Standards-Version to 4.7.0.
  * Add Bug-Database to debian/upstream/metadata.
  * Update symbols files.
  * Refresh debian/source/lintian-overrides.
  * Add Forwarded: not-needed to Debian patches.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 02 Sep 2024 21:32:47 +0200

=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 meson,
 libarchive-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 librsvg2-bin,
 qt6-base-dev,
 qt6-svg-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious.git

Package: audacious
Architecture: any
Depends:
 audacious-plugins (>= 4.4),
 default-dbus-session-bus | dbus-session-bus | dbus-x11,
 libaudcore5t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the core player and its localization.

Package: audacious-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaudcore5t64 (= ${binary:Version}),
 libaudgui6 (= ${binary:Version}),
 libaudtag3t64 (= ${binary:Version}),
 libaudqt3 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 qt6-base-dev,
 ${misc:Depends}
Description: audacious development files
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4.

Package: libaudcore5t64
Provides: ${t64:Provides}
Replaces: libaudcore5
Breaks: libaudcore5 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library which provides core functionality
 of Audacious.

Package: libaudgui6
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious media player (libaudgui shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudgui shared library.

Package: libaudtag3t64
Provides: ${t64:Provides}
Replaces: libaudtag3
Breaks: libaudtag3 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious media player (libaudtag shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudtag shared library.

Package: libaudqt3
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious media player (libaudqt shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudqt shared library.

## audacious 4.5

=== win32/Makefile ===
LIB_PREFIX = /C/libs

gtk+-2.24.33.tar.xz:
	wget https://ftp.gnome.org/pub/GNOME/sources/gtk+/2.24/gtk+-2.24.33.tar.xz

gtk: gtk+-2.24.33.tar.xz
	tar xf gtk+-2.24.33.tar.xz
	cd gtk+-2.24.33 && patch gdk/win32/gdkwindow-win32.c ../patches/gdkwindow-win32.c.diff
	cd gtk+-2.24.33 && sed -i '/GDK_DISABLE_DEPRECATED/d' modules/engines/ms-windows/Makefile.in
	cd gtk+-2.24.33 && CFLAGS="-O2 -fcommon -Wno-error=implicit-int -Wno-error=incompatible-pointer-types" ./configure --prefix=$(LIB_PREFIX)
	cd gtk+-2.24.33 && $(MAKE) && $(MAKE) install

ffmpeg-7.1.1.tar.xz:
	wget https://ffmpeg.org/releases/ffmpeg-7.1.1.tar.xz

ffmpeg: ffmpeg-7.1.1.tar.xz
	tar xf ffmpeg-7.1.1.tar.xz
	cd ffmpeg-7.1.1 && ./configure --prefix=$(LIB_PREFIX) --enable-shared --cpu=x86-64 --disable-vulkan --disable-x86asm
	cd ffmpeg-7.1.1 && $(MAKE) && $(MAKE) install

libmms-0.6.4.tar.gz:
	wget https://sourceforge.net/projects/libmms/files/libmms/0.6.4/libmms-0.6.4.tar.gz

libmms: libmms-0.6.4.tar.gz
	tar xf libmms-0.6.4.tar.gz
	cd libmms-0.6.4 && patch -p1 < ../patches/libmms-strndup.diff
	cd libmms-0.6.4 && cp /usr/share/libtool/build-aux/ltmain.sh .
	cd libmms-0.6.4 && autoreconf
	cd libmms-0.6.4 && ./configure --prefix=$(LIB_PREFIX)
	cd libmms-0.6.4 && $(MAKE) && $(MAKE) install

libbinio-1.5.tar.bz2:
	wget https://github.com/adplug/libbinio/releases/download/libbinio-1.5/libbinio-1.5.tar.bz2

libbinio: libbinio-1.5.tar.bz2
	tar xf libbinio-1.5.tar.bz2
	cd libbinio-1.5 && ./configure --prefix=$(LIB_PREFIX)
	cd libbinio-1.5 && $(MAKE) && $(MAKE) install

adplug-2.4.tar.bz2:
	wget https://github.com/adplug/adplug/releases/download/adplug-2.4/adplug-2.4.tar.bz2

adplug: adplug-2.4.tar.bz2
	tar xf adplug-2.4.tar.bz2
	cd adplug-2.4 && ./configure --prefix=$(LIB_PREFIX)
	cd adplug-2.4 && $(MAKE) && $(MAKE) install

libsidplayfp-2.14.0.tar.gz:
	wget https://sourceforge.net/projects/sidplay-residfp/files/libsidplayfp/2.14/libsidplayfp-2.14.0.tar.gz

libsidplayfp: libsidplayfp-2.14.0.tar.gz
	tar xf libsidplayfp-2.14.0.tar.gz
	cd libsidplayfp-2.14.0 && ./configure --prefix=$(LIB_PREFIX)
	cd libsidplayfp-2.14.0 && $(MAKE) && $(MAKE) install

=== debian/changelog ===
audacious (4.5-0.1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Aug 2025 13:06:31 -0700

audacious (4.5+stable-0build1~ubuntu2504) plucky; urgency=medium

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 16 Jul 2025 14:59:19 +0100

audacious (4.5+beta1-0build6~ubuntu2404) noble; urgency=medium

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 06 Jan 2021 16:07:19 +0100

audacious (4.4.1-0build1~ubuntu2404) noble; urgency=medium

  * Support titlebar dimming for Winamp skins also with GTK
  * Allow to never show playlist tabs also in GTK interface (#1409)
  * Improve controls responsiveness with the Sndio output plugin
  * Add Qt 6 support for the Qt Multimedia output plugin
  * Support many more MPRIS metadata fields
  * Include .adx as file extension for the FFmpeg plugin (#1466)
  * see more https://github.com/audacious-media-player/audacious/releases

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 06 Jan 2021 16:07:19 +0100

audacious (4.4-1build1~ubuntu2404) noble; urgency=medium

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Sat, 01 Jun 2024 09:28:55 +0200

audacious (4.3.1-2.1build3) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Andrej Shadura <andrewsh@debian.org>,
- Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper-compat (= 13),
- meson,
- libarchive-dev,
- libglib2.0-dev,
- libgtk-3-dev,
- librsvg2-bin,
- qt6-base-dev,
- qt6-svg-dev
-Standards-Version: 4.7.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>,
+           Mateusz Łukasik <mati75@linuxmint.pl>
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
+               libarchive-dev,
+               libglib2.0-dev,
+               libgtk-3-dev,
+               libqt6svg6-dev | qt6-svg-dev,
+               librsvg2-bin,
+               meson,
+               qt6-base-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
@@ -22,14 +23,12 @@
 
 Package: audacious
 Architecture: any
-Depends:
- audacious-plugins (>= 4.4),
- default-dbus-session-bus | dbus-session-bus | dbus-x11,
- libaudcore5t64 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- unzip
+Depends: audacious-plugins (>= ${source:Upstream-Version}),
+         default-dbus-session-bus | dbus-session-bus | dbus-x11,
+         libaudcore5t64 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: unzip
 Description: small and fast audio player which supports lots of formats
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -54,15 +53,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- libaudcore5t64 (= ${binary:Version}),
- libaudgui6 (= ${binary:Version}),
- libaudtag3t64 (= ${binary:Version}),
- libaudqt3 (= ${binary:Version}),
- libglib2.0-dev,
- libgtk-3-dev,
- qt6-base-dev,
- ${misc:Depends}
+Depends: libaudcore5t64 (= ${binary:Version}),
+         libaudgui6t64 (= ${binary:Version}),
+         libaudqt3t64 (= ${binary:Version}),
+         libaudtag3t64 (= ${binary:Version}),
+         libglib2.0-dev,
+         libgtk-3-dev,
+         qt6-base-dev,
+         ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -94,9 +92,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -118,14 +114,14 @@
  This package contains a library which provides core functionality
  of Audacious.
 
-Package: libaudgui6
+Package: libaudgui6t64
 Provides: ${t64:Provides}
+Replaces: libaudgui5
+Breaks: libaudgui6 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious media player (libaudgui shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -153,9 +149,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious media player (libaudtag shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -176,14 +170,14 @@
  .
  This package provides the libaudtag shared library.
 
-Package: libaudqt3
+Package: libaudqt3t64
 Provides: ${t64:Provides}
+Replaces: libaudqt3
+Breaks: libaudqt3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious media player (libaudqt shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.

## audacious 4.5.1

=== Makefile ===
SUBDIRS = src man images po

DISTCLEAN = ${GENERATED_FILES} config.h config.log config.status

DATA = AUTHORS COPYING

include buildsys.mk
include extra.mk

install-extra:
	for i in audacious.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${pkgconfigdir} && ${INSTALL} -m 644 $$i ${DESTDIR}${pkgconfigdir}/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done
	for i in audacious.desktop; do \
		${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${datarootdir}/applications && ${INSTALL} -m 644 $$i ${DESTDIR}${datarootdir}/applications/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi \
	done
	if [ -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png ]; then \
		rm -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png; \
	fi

uninstall-extra:
	for i in audacious.pc; do \
		if [ -f ${DESTDIR}${pkgconfigdir}/$$i ]; then \
			if rm -f ${DESTDIR}${pkgconfigdir}/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done
	for i in audacious.desktop; do \
		if test -f ${DESTDIR}${datarootdir}/applications/$$i; then \
			if rm -f ${DESTDIR}${datarootdir}/applications/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done

=== images/Makefile ===
include ../buildsys.mk

install-extra:
	${MKDIR_P} ${DESTDIR}${datarootdir}/icons/hicolor/48x48/apps
	${MKDIR_P} ${DESTDIR}${datarootdir}/icons/hicolor/scalable/apps
	${INSTALL} -m 644 audacious.png "${DESTDIR}${datarootdir}/icons/hicolor/48x48/apps/audacious.png"
	${INSTALL} -m 644 audacious.svg "${DESTDIR}${datarootdir}/icons/hicolor/scalable/apps/audacious.svg"

uninstall-extra:
	if test -f "${DESTDIR}${datarootdir}/icons/hicolor/48x48/apps/audacious.png" ; then ${RM} "${DESTDIR}${datarootdir}/icons/hicolor/48x48/apps/audacious.png" ; fi
	if test -f "${DESTDIR}${datarootdir}/icons/hicolor/scalable/apps/audacious.svg" ; then ${RM} "${DESTDIR}${datarootdir}/icons/hicolor/scalable/apps/audacious.svg" ; fi

=== man/Makefile ===
MAN = audacious.1 audtool.1

include ../buildsys.mk

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = af.po \
	  ar.po \
	  be.po \
	  bg.po \
	  ca.po \
	  cmn.po \
	  cs.po \
	  da.po \
	  de.po \
	  el.po \
	  en_GB.po \
	  es_AR.po \
	  es_MX.po \
	  es.po \
	  et.po \
	  eu.po \
	  fa_IR.po \
	  fi.po \
	  fr.po \
	  gl.po \
	  hu.po \
	  id_ID.po \
	  it.po \
	  ja.po \
	  ko.po \
	  lt.po \
	  lv.po \
	  ml_IN.po \
	  ms.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ro.po \
	  ru.po \
	  si.po \
	  sk.po \
	  sl.po \
	  sq.po \
	  sr.po \
	  sr_RS.po \
	  sv.po \
	  ta.po \
	  tr.po \
	  uk.po \
	  uz.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE_NAME).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="https://github.com/audacious-media-player/audacious/issues" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --update "$$lang" $(POTTEMPLATE); done

=== src/Makefile ===
include ../extra.mk

SUBDIRS := audacious libaudcore libaudtag libguess

ifeq ($(USE_GTK),yes)
SUBDIRS += libaudgui
endif

ifeq ($(USE_QT),yes)
SUBDIRS += libaudqt
endif

ifeq ($(USE_DBUS),yes)
SUBDIRS := dbus audtool ${SUBDIRS}
endif

include ../buildsys.mk

audacious: libaudcore
libaudcore: libguess
libaudtag: libaudcore

ifeq ($(USE_GTK),yes)
libaudgui: libaudcore
endif

ifeq ($(USE_QT),yes)
libaudqt: libaudcore
endif

ifeq ($(USE_DBUS),yes)
audacious audtool: dbus
endif

=== src/audacious/Makefile ===
include ../../extra.mk

PROG = audacious${PROG_SUFFIX}

SRCS = main.cc \
       signals.cc \
       util.cc

ifeq ($(HAVE_MSWINDOWS),yes)
SRCS += audacious.rc
endif

ifeq ($(USE_DBUS),yes)
SRCS += dbus-server.cc
EXT_DEPS += ../dbus/aud-dbus.a
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
CPPFLAGS := -I../dbus ${CPPFLAGS} ${GIO_CFLAGS}
LIBS := ../dbus/aud-dbus.a ${LIBS} ${GIO_LIBS}
endif

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

LDFLAGS := -L../libaudcore $(LDFLAGS)

LIBS := -laudcore \
        ${LIBS} -lm \
        ${LIBINTL} \
        ${GLIB_LIBS}

ifeq ($(HAVE_MSWINDOWS),yes)
LDFLAGS := ${LDFLAGS} -Wl,-subsystem,windows
endif

=== src/audtool/Makefile ===
PROG = audtool
SRCS = main.c				\
       handlers_general.c	\
       handlers_playback.c	\
       handlers_playlist.c	\
       handlers_playqueue.c	\
       handlers_vitals.c	\
       handlers_equalizer.c	\
       report.c \
       wrappers.c

EXT_DEPS += ../dbus/aud-dbus.a

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS := -I../.. -I../dbus ${CPPFLAGS} ${GLIB_CFLAGS} ${GIO_CFLAGS}
LIBS := ../dbus/aud-dbus.a ${LIBS} ${GLIB_LIBS} ${GIO_LIBS}

=== src/libaudgui/Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
        preset-browser.cc \
        queue-manager.cc \
        scaled-image.cc \
+       settings-portal.cc \
        status.cc \
        urilist.cc \
        url-opener.cc \

=== src/libaudqt/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
LIB_MAJOR = 3
LIB_MINOR = 0
LIB_PATCH = 0

SRCS = about-qt.cc \
       art-qt.cc \
       audqt.cc \
       colorbutton.cc \
       dark-theme.cc \
       dock.cc \
       eq-preset-qt.cc \
       equalizer-qt.cc \
       file-entry.cc \
       fileopener.cc \
       font-entry.cc \
       images.cc \
       infopopup-qt.cc \
       infowin-qt.cc \
       info-widget.cc \
       log-inspector.cc \
       menu-qt.cc \
       playlist-management.cc \
       plugin-menu-qt.cc \
       prefs-builder.cc \
       prefs-plugin.cc \
       prefs-widget-qt.cc \
       prefs-window-qt.cc \
       prefs-pluginlist-model.cc \
       queue-manager-qt.cc \
       song-window-qt.cc \
       url-opener-qt.cc \
       util-qt.cc \
       treeview.cc \
       volumebutton.cc

INCLUDES = colorbutton.h \
           dock.h \
           export.h \
           iface.h \
           info-widget.h \
           libaudqt.h \
           menu.h \
           treeview.h

CLEAN = images.cc

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudqt

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${QT_CFLAGS} \
            -DLIBAUDQT_BUILD

CFLAGS += ${LIB_CFLAGS}

LIB_LDFLAGS := -L../libaudcore $(LIB_LDFLAGS)

LIBS := -laudcore \
        ${LIBS} -lm \
        ${QT_LIBS}

images.cc: images.qrc
	${QT_BINPATH}/rcc images.qrc -o images.cc

=== src/libguess/Makefile ===
STATIC_LIB_NOINST = libguess.a

SRCS = dfa.c \
       guess.c \
       guess_impl.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS := -I../.. ${CPPFLAGS} -DLIBGUESS_CORE

CFLAGS += ${LIB_CFLAGS} -Wno-unused-variable

=== src/libaudcore/tests/Makefile ===
all: test

SRCS = ../audio.cc \
       ../audstrings.cc \
       ../charset.cc \
       ../hook.cc \
       ../index.cc \
       ../logger.cc \
       ../mainloop.cc \
       ../multihash.cc \
       ../ringbuf.cc \
       ../stringbuf.cc \
       ../strpool.cc \
       ../tinylock.cc \
       ../threads.cc \
       ../tuple.cc \
       ../tuple-compiler.cc \
       ../util.cc \
       stubs.cc \
       test.cc \
       test-mainloop.cc

QT_DEP = Qt6Core
ifneq ($(shell pkg-config --exists ${QT_DEP} && echo 1),1)
	QT_DEP = Qt5Core
endif

FLAGS = -I.. -I../.. -DEXPORT= -DPACKAGE=\"audacious\" -DICONV_CONST= \
        $(shell pkg-config --cflags --libs glib-2.0 ${QT_DEP}) \
        -std=c++17 -Wall -g -O0 -fno-elide-constructors \
        -fprofile-arcs -ftest-coverage -pthread -dumpbase ''

test: ${SRCS}
	g++ ${SRCS} ${FLAGS} -DUSE_QT -fPIC -o test

cov: all
	rm -f *.gcda
	./test
	./test --qt
	gcov --object-directory . ${SRCS} ${MAINLOOP_SRCS}

clean:
	rm -f test *.gcno *.gcda *.gcov

=== debian/changelog ===
audacious (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.
  * Update symbols files.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 05 Oct 2025 12:17:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-# XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Andrej Shadura <andrewsh@debian.org>,
-           Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.22.5),
-               libarchive-dev,
-               libglib2.0-dev,
-               libgtk-3-dev,
-               libqt6svg6-dev | qt6-svg-dev,
-               librsvg2-bin,
-               meson,
-               qt6-base-dev
-Standards-Version: 4.6.2
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
+ Mateusz Łukasik <mati75@linuxmint.pl>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
+ meson,
+ libarchive-dev,
+ libglib2.0-dev,
+ libgtk-3-dev,
+ librsvg2-bin,
+ qt6-base-dev,
+ qt6-svg-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
@@ -23,12 +22,14 @@
 
 Package: audacious
 Architecture: any
-Depends: audacious-plugins (>= ${source:Upstream-Version}),
-         default-dbus-session-bus | dbus-session-bus | dbus-x11,
-         libaudcore5t64 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: unzip
+Depends:
+ audacious-plugins (>= 4.4),
+ default-dbus-session-bus | dbus-session-bus | dbus-x11,
+ libaudcore5t64 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ unzip
 Description: small and fast audio player which supports lots of formats
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -53,14 +54,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libaudcore5t64 (= ${binary:Version}),
-         libaudgui6t64 (= ${binary:Version}),
-         libaudqt3t64 (= ${binary:Version}),
-         libaudtag3t64 (= ${binary:Version}),
-         libglib2.0-dev,
-         libgtk-3-dev,
-         qt6-base-dev,
-         ${misc:Depends}
+Depends:
+ libaudcore5t64 (= ${binary:Version}),
+ libaudgui6 (= ${binary:Version}),
+ libaudtag3t64 (= ${binary:Version}),
+ libaudqt3 (= ${binary:Version}),
+ libglib2.0-dev,
+ libgtk-3-dev,
+ qt6-base-dev,
+ ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -92,7 +94,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -114,14 +118,14 @@
  This package contains a library which provides core functionality
  of Audacious.
 
-Package: libaudgui6t64
-Provides: ${t64:Provides}
-Replaces: libaudgui5
-Breaks: libaudgui6 (<< ${source:Version})
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Package: libaudgui6
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious media player (libaudgui shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -149,7 +153,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious media player (libaudtag shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -170,14 +176,14 @@
  .
  This package provides the libaudtag shared library.
 
-Package: libaudqt3t64
-Provides: ${t64:Provides}
-Replaces: libaudqt3
-Breaks: libaudqt3 (<< ${source:Version})
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Package: libaudqt3
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious media player (libaudqt shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dbuildstamp="$(shell dpkg-vendor --query vendor) package" -Dlibarchive=true

override_dh_auto_clean:
	-dh_auto_clean

=== debian/watch ===
version=4
https://distfiles.audacious-media-player.org/audacious-([^-]*)\.tar\.bz2
